Module | Prawn::Document::GraphicsState
In: | lib/prawn/document/graphics_state.rb

### Methods

restore_graphics_state save_graphics_state

### Public Instance methods

restore_graphics_state()

Pops the last saved graphics state off the graphics state stack and restores the state to those values

save_graphics_state() {|| ...}

Pushes the current graphics state on to the graphics state stack so we can restore it when finished with a change we want to isolate (such as modifying the transformation matrix). Used in pairs with restore_graphics_state or passed a block

Example without a block:

      save_graphics_state
      rotate 30
      text "rotated text"
      restore_graphics_state

Example with a block:

      save_graphics_state do
        rotate 30
        text "rotated text"
      end

[Validate]